*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body{
    display: flex;
    justify-content: center;
    margin-top: 40px;

}

:root{
   --head_green:#047857;
   --green:#10b981;
}

.card{
    height: fit-content;
    width: 90%;
    min-width: 900px;
    padding: 10px;
    background-color:  #e6fffa;
    border-radius: 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
}
.heading h2{
    color: var(--head_green);
}
.add-task{
    display: flex;
    gap: 20px;
}



.add-task input,
.add-task select{
    height: 50px;
    min-width: 150px;
    width: fit-content;
    background-color: white;
    border: none;
    border-radius: 5px;
    padding: 5px;
    font-size: 15px;
}
.add-task input:focus{
    border: 3px solid  var(--head_green);
}
.add-task select:focus{
    border: 3px solid  var(--head_green);
}

.add-task button{
    height: 50px;
    width: 80px;
    border: none;
    border-radius: 20px;
    background-color: white;
}
.add-task button:hover{
    background-color: var(--green);
    cursor: pointer;
}

.filter-sort{
    display: flex;
    gap: 10px;
    align-self: self-start;
    align-items: center;
    font-weight: 600;
    
}
.filter-sort button{
    width: fit-content;
    padding: 10px;
    border: none;
    border-radius: 5px;
    background-color: white;
    color: var(--head_green);
    font-weight: 600;
    background-color:  #bafaed;
}
.filter-sort button:hover{
    background-color: var(--head_green);
      cursor: pointer;
      color: white;
}

 table {
  width: 100%;
  border-collapse: collapse;
  margin-top: 20px;
  min-width: 700px;
  border-spacing: 0 10px; 
  min-width: 800px;
}

/* Table headers */
thead th {
  background-color: var(--green);
  color: white;
  padding: 20px 20px;
  border: 1px solid #ccc;
  text-align: center;
}

/* Table cells */
 td {
  border: 1px solid #ccc;
   padding: 20px 20px;
  text-align: center;
}

/* Action buttons */
tbody  img{
    width: 40px;
}

.completed-task{
    text-decoration: line-through;
    color: gray;
    opacity: 0.6;
}

input[type="checkbox"]{
    accent-color: var(--green);
    cursor: pointer;
    width: 20px;
    height: 20px;
}